Show / Hide Table of Contents

# Class ImGui

##### Inheritance

System.Object
ImGui

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public static class ImGui

### Methods

| Improve this Doc View Source

#### AcceptDragDropPayload(String)

##### Declaration

    public static ImGuiPayloadPtr AcceptDragDropPayload(string type)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | type |

##### Returns

Type | Description
--- | ---
ImGuiPayloadPtr |

| Improve this Doc View Source

#### AcceptDragDropPayload(String, ImGuiDragDropFlags)

##### Declaration

    public static ImGuiPayloadPtr AcceptDragDropPayload(string type, ImGuiDragDropFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | type |
ImGuiDragDropFlags | flags |

##### Returns

Type | Description
--- | ---
ImGuiPayloadPtr |

| Improve this Doc View Source

#### AlignTextToFramePadding()

##### Declaration

    public static void AlignTextToFramePadding()

| Improve this Doc View Source

#### ArrowButton(String, ImGuiDir)

##### Declaration

    public static bool ArrowButton(string str_id, ImGuiDir dir)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
ImGuiDir | dir |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Begin(String)

##### Declaration

    public static bool Begin(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Begin(String, ImGuiWindowFlags)

##### Declaration

    public static bool Begin(string name, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Begin(String, ref Boolean)

##### Declaration

    public static bool Begin(string name, ref bool p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Boolean | p_open |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Begin(String, ref Boolean, ImGuiWindowFlags)

##### Declaration

    public static bool Begin(string name, ref bool p_open, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Boolean | p_open |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginChild(String)

##### Declaration

    public static bool BeginChild(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginChild(String, Vector2)

##### Declaration

    public static bool BeginChild(string str_id, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginChild(String, Vector2, Boolean)

##### Declaration

    public static bool BeginChild(string str_id, Vector2 size, bool border)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
System.Numerics.Vector2 | size |
System.Boolean | border |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginChild(String, Vector2, Boolean, ImGuiWindowFlags)

##### Declaration

    public static bool BeginChild(string str_id, Vector2 size, bool border, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
System.Numerics.Vector2 | size |
System.Boolean | border |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginChild(UInt32)

##### Declaration

    public static bool BeginChild(uint id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginChild(UInt32, Vector2)

##### Declaration

    public static bool BeginChild(uint id, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginChild(UInt32, Vector2, Boolean)

##### Declaration

    public static bool BeginChild(uint id, Vector2 size, bool border)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |
System.Numerics.Vector2 | size |
System.Boolean | border |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginChild(UInt32, Vector2, Boolean, ImGuiWindowFlags)

##### Declaration

    public static bool BeginChild(uint id, Vector2 size, bool border, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |
System.Numerics.Vector2 | size |
System.Boolean | border |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginChildFrame(UInt32, Vector2)

##### Declaration

    public static bool BeginChildFrame(uint id, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginChildFrame(UInt32, Vector2, ImGuiWindowFlags)

##### Declaration

    public static bool BeginChildFrame(uint id, Vector2 size, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |
System.Numerics.Vector2 | size |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginCombo(String, String)

##### Declaration

    public static bool BeginCombo(string label, string preview_value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | preview_value |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginCombo(String, String, ImGuiComboFlags)

##### Declaration

    public static bool BeginCombo(string label, string preview_value, ImGuiComboFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | preview_value |
ImGuiComboFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginDragDropSource()

##### Declaration

    public static bool BeginDragDropSource()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginDragDropSource(ImGuiDragDropFlags)

##### Declaration

    public static bool BeginDragDropSource(ImGuiDragDropFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiDragDropFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginDragDropTarget()

##### Declaration

    public static bool BeginDragDropTarget()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginGroup()

##### Declaration

    public static void BeginGroup()

| Improve this Doc View Source

#### BeginMainMenuBar()

##### Declaration

    public static bool BeginMainMenuBar()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginMenu(String)

##### Declaration

    public static bool BeginMenu(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginMenu(String, Boolean)

##### Declaration

    public static bool BeginMenu(string label, bool enabled)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | enabled |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginMenuBar()

##### Declaration

    public static bool BeginMenuBar()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopup(String)

##### Declaration

    public static bool BeginPopup(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopup(String, ImGuiWindowFlags)

##### Declaration

    public static bool BeginPopup(string str_id, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupContextItem()

##### Declaration

    public static bool BeginPopupContextItem()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupContextItem(String)

##### Declaration

    public static bool BeginPopupContextItem(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupContextItem(String, Int32)

##### Declaration

    public static bool BeginPopupContextItem(string str_id, int mouse_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
System.Int32 | mouse_button |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupContextVoid()

##### Declaration

    public static bool BeginPopupContextVoid()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupContextVoid(String)

##### Declaration

    public static bool BeginPopupContextVoid(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupContextVoid(String, Int32)

##### Declaration

    public static bool BeginPopupContextVoid(string str_id, int mouse_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
System.Int32 | mouse_button |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupContextWindow()

##### Declaration

    public static bool BeginPopupContextWindow()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupContextWindow(String)

##### Declaration

    public static bool BeginPopupContextWindow(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupContextWindow(String, Int32)

##### Declaration

    public static bool BeginPopupContextWindow(string str_id, int mouse_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
System.Int32 | mouse_button |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupContextWindow(String, Int32, Boolean)

##### Declaration

    public static bool BeginPopupContextWindow(string str_id, int mouse_button, bool also_over_items)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
System.Int32 | mouse_button |
System.Boolean | also_over_items |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupModal(String)

##### Declaration

    public static bool BeginPopupModal(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupModal(String, ref Boolean)

##### Declaration

    public static bool BeginPopupModal(string name, ref bool p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Boolean | p_open |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginPopupModal(String, ref Boolean, ImGuiWindowFlags)

##### Declaration

    public static bool BeginPopupModal(string name, ref bool p_open, ImGuiWindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Boolean | p_open |
ImGuiWindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginTabBar(String)

##### Declaration

    public static bool BeginTabBar(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginTabBar(String, ImGuiTabBarFlags)

##### Declaration

    public static bool BeginTabBar(string str_id, ImGuiTabBarFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
ImGuiTabBarFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginTabItem(String)

##### Declaration

    public static bool BeginTabItem(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginTabItem(String, ref Boolean)

##### Declaration

    public static bool BeginTabItem(string label, ref bool p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | p_open |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginTabItem(String, ref Boolean, ImGuiTabItemFlags)

##### Declaration

    public static bool BeginTabItem(string label, ref bool p_open, ImGuiTabItemFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | p_open |
ImGuiTabItemFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BeginTooltip()

##### Declaration

    public static void BeginTooltip()

| Improve this Doc View Source

#### Bullet()

##### Declaration

    public static void Bullet()

| Improve this Doc View Source

#### BulletText(String)

##### Declaration

    public static void BulletText(string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fmt |

| Improve this Doc View Source

#### Button(String)

##### Declaration

    public static bool Button(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Button(String, Vector2)

##### Declaration

    public static bool Button(string label, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### CalcItemWidth()

##### Declaration

    public static float CalcItemWidth()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### CalcTextSize(String)

##### Declaration

    public static Vector2 CalcTextSize(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### CaptureKeyboardFromApp()

##### Declaration

    public static void CaptureKeyboardFromApp()

| Improve this Doc View Source

#### CaptureKeyboardFromApp(Boolean)

##### Declaration

    public static void CaptureKeyboardFromApp(bool want_capture_keyboard_value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | want_capture_keyboard_value |

| Improve this Doc View Source

#### CaptureMouseFromApp()

##### Declaration

    public static void CaptureMouseFromApp()

| Improve this Doc View Source

#### CaptureMouseFromApp(Boolean)

##### Declaration

    public static void CaptureMouseFromApp(bool want_capture_mouse_value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | want_capture_mouse_value |

| Improve this Doc View Source

#### Checkbox(String, ref Boolean)

##### Declaration

    public static bool Checkbox(string label, ref bool v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### CheckboxFlags(String, ref UInt32, UInt32)

##### Declaration

    public static bool CheckboxFlags(string label, ref uint flags, uint flags_value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.UInt32 | flags |
System.UInt32 | flags_value |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### CloseCurrentPopup()

##### Declaration

    public static void CloseCurrentPopup()

| Improve this Doc View Source

#### CollapsingHeader(String)

##### Declaration

    public static bool CollapsingHeader(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### CollapsingHeader(String, ImGuiTreeNodeFlags)

##### Declaration

    public static bool CollapsingHeader(string label, ImGuiTreeNodeFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiTreeNodeFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### CollapsingHeader(String, ref Boolean)

##### Declaration

    public static bool CollapsingHeader(string label, ref bool p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | p_open |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### CollapsingHeader(String, ref Boolean, ImGuiTreeNodeFlags)

##### Declaration

    public static bool CollapsingHeader(string label, ref bool p_open, ImGuiTreeNodeFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | p_open |
ImGuiTreeNodeFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorButton(String, Vector4)

##### Declaration

    public static bool ColorButton(string desc_id, Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | desc_id |
System.Numerics.Vector4 | col |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorButton(String, Vector4, ImGuiColorEditFlags)

##### Declaration

    public static bool ColorButton(string desc_id, Vector4 col, ImGuiColorEditFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | desc_id |
System.Numerics.Vector4 | col |
ImGuiColorEditFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorButton(String, Vector4, ImGuiColorEditFlags, Vector2)

##### Declaration

    public static bool ColorButton(string desc_id, Vector4 col, ImGuiColorEditFlags flags, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | desc_id |
System.Numerics.Vector4 | col |
ImGuiColorEditFlags | flags |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorConvertFloat4ToU32(Vector4)

##### Declaration

    public static uint ColorConvertFloat4ToU32(Vector4 in)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | in |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ColorConvertHSVtoRGB(Single, Single, Single, out Single, out Single, out Single)

##### Declaration

    public static void ColorConvertHSVtoRGB(float h, float s, float v, out float out_r, out float out_g, out float out_b)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | h |
System.Single | s |
System.Single | v |
System.Single | out_r |
System.Single | out_g |
System.Single | out_b |

| Improve this Doc View Source

#### ColorConvertRGBtoHSV(Single, Single, Single, out Single, out Single, out Single)

##### Declaration

    public static void ColorConvertRGBtoHSV(float r, float g, float b, out float out_h, out float out_s, out float out_v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | r |
System.Single | g |
System.Single | b |
System.Single | out_h |
System.Single | out_s |
System.Single | out_v |

| Improve this Doc View Source

#### ColorConvertU32ToFloat4(UInt32)

##### Declaration

    public static Vector4 ColorConvertU32ToFloat4(uint in)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | in |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### ColorEdit3(String, ref Vector3)

##### Declaration

    public static bool ColorEdit3(string label, ref Vector3 col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | col |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorEdit3(String, ref Vector3, ImGuiColorEditFlags)

##### Declaration

    public static bool ColorEdit3(string label, ref Vector3 col, ImGuiColorEditFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | col |
ImGuiColorEditFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorEdit4(String, ref Vector4)

##### Declaration

    public static bool ColorEdit4(string label, ref Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | col |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorEdit4(String, ref Vector4, ImGuiColorEditFlags)

##### Declaration

    public static bool ColorEdit4(string label, ref Vector4 col, ImGuiColorEditFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | col |
ImGuiColorEditFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorPicker3(String, ref Vector3)

##### Declaration

    public static bool ColorPicker3(string label, ref Vector3 col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | col |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorPicker3(String, ref Vector3, ImGuiColorEditFlags)

##### Declaration

    public static bool ColorPicker3(string label, ref Vector3 col, ImGuiColorEditFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | col |
ImGuiColorEditFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorPicker4(String, ref Vector4)

##### Declaration

    public static bool ColorPicker4(string label, ref Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | col |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorPicker4(String, ref Vector4, ImGuiColorEditFlags)

##### Declaration

    public static bool ColorPicker4(string label, ref Vector4 col, ImGuiColorEditFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | col |
ImGuiColorEditFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ColorPicker4(String, ref Vector4, ImGuiColorEditFlags, ref Single)

##### Declaration

    public static bool ColorPicker4(string label, ref Vector4 col, ImGuiColorEditFlags flags, ref float ref_col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | col |
ImGuiColorEditFlags | flags |
System.Single | ref_col |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Columns()

##### Declaration

    public static void Columns()

| Improve this Doc View Source

#### Columns(Int32)

##### Declaration

    public static void Columns(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |

| Improve this Doc View Source

#### Columns(Int32, String)

##### Declaration

    public static void Columns(int count, string id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |
System.String | id |

| Improve this Doc View Source

#### Columns(Int32, String, Boolean)

##### Declaration

    public static void Columns(int count, string id, bool border)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |
System.String | id |
System.Boolean | border |

| Improve this Doc View Source

#### Combo(String, ref Int32, String)

##### Declaration

    public static bool Combo(string label, ref int current_item, string items_separated_by_zeros)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | current_item |
System.String | items_separated_by_zeros |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Combo(String, ref Int32, String, Int32)

##### Declaration

    public static bool Combo(string label, ref int current_item, string items_separated_by_zeros, int popup_max_height_in_items)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | current_item |
System.String | items_separated_by_zeros |
System.Int32 | popup_max_height_in_items |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Combo(String, ref Int32, String[], Int32)

##### Declaration

    public static bool Combo(string label, ref int current_item, string[] items, int items_count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | current_item |
System.String[] | items |
System.Int32 | items_count |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Combo(String, ref Int32, String[], Int32, Int32)

##### Declaration

    public static bool Combo(string label, ref int current_item, string[] items, int items_count, int popup_max_height_in_items)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | current_item |
System.String[] | items |
System.Int32 | items_count |
System.Int32 | popup_max_height_in_items |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### CreateContext()

##### Declaration

    public static IntPtr CreateContext()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### CreateContext(ImFontAtlasPtr)

##### Declaration

    public static IntPtr CreateContext(ImFontAtlasPtr shared_font_atlas)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontAtlasPtr | shared_font_atlas |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### DebugCheckVersionAndDataLayout(String, UInt32, UInt32, UInt32, UInt32, UInt32, UInt32)

##### Declaration

    public static bool DebugCheckVersionAndDataLayout(string version_str, uint sz_io, uint sz_style, uint sz_vec2, uint sz_vec4, uint sz_drawvert, uint sz_drawidx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | version_str |
System.UInt32 | sz_io |
System.UInt32 | sz_style |
System.UInt32 | sz_vec2 |
System.UInt32 | sz_vec4 |
System.UInt32 | sz_drawvert |
System.UInt32 | sz_drawidx |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DestroyContext()

##### Declaration

    public static void DestroyContext()

| Improve this Doc View Source

#### DestroyContext(IntPtr)

##### Declaration

    public static void DestroyContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

| Improve this Doc View Source

#### DragFloat(String, ref Single)

##### Declaration

    public static bool DragFloat(string label, ref float v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat(String, ref Single, Single)

##### Declaration

    public static bool DragFloat(string label, ref float v, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat(String, ref Single, Single, Single)

##### Declaration

    public static bool DragFloat(string label, ref float v, float v_speed, float v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | v_speed |
System.Single | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat(String, ref Single, Single, Single, Single)

##### Declaration

    public static bool DragFloat(string label, ref float v, float v_speed, float v_min, float v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat(String, ref Single, Single, Single, Single, String)

##### Declaration

    public static bool DragFloat(string label, ref float v, float v_speed, float v_min, float v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat(String, ref Single, Single, Single, Single, String, Single)

##### Declaration

    public static bool DragFloat(string label, ref float v, float v_speed, float v_min, float v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat2(String, ref Vector2)

##### Declaration

    public static bool DragFloat2(string label, ref Vector2 v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat2(String, ref Vector2, Single)

##### Declaration

    public static bool DragFloat2(string label, ref Vector2 v, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat2(String, ref Vector2, Single, Single)

##### Declaration

    public static bool DragFloat2(string label, ref Vector2 v, float v_speed, float v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |
System.Single | v_speed |
System.Single | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat2(String, ref Vector2, Single, Single, Single)

##### Declaration

    public static bool DragFloat2(string label, ref Vector2 v, float v_speed, float v_min, float v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat2(String, ref Vector2, Single, Single, Single, String)

##### Declaration

    public static bool DragFloat2(string label, ref Vector2 v, float v_speed, float v_min, float v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat2(String, ref Vector2, Single, Single, Single, String, Single)

##### Declaration

    public static bool DragFloat2(string label, ref Vector2 v, float v_speed, float v_min, float v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat3(String, ref Vector3)

##### Declaration

    public static bool DragFloat3(string label, ref Vector3 v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat3(String, ref Vector3, Single)

##### Declaration

    public static bool DragFloat3(string label, ref Vector3 v, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat3(String, ref Vector3, Single, Single)

##### Declaration

    public static bool DragFloat3(string label, ref Vector3 v, float v_speed, float v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |
System.Single | v_speed |
System.Single | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat3(String, ref Vector3, Single, Single, Single)

##### Declaration

    public static bool DragFloat3(string label, ref Vector3 v, float v_speed, float v_min, float v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat3(String, ref Vector3, Single, Single, Single, String)

##### Declaration

    public static bool DragFloat3(string label, ref Vector3 v, float v_speed, float v_min, float v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat3(String, ref Vector3, Single, Single, Single, String, Single)

##### Declaration

    public static bool DragFloat3(string label, ref Vector3 v, float v_speed, float v_min, float v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat4(String, ref Vector4)

##### Declaration

    public static bool DragFloat4(string label, ref Vector4 v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat4(String, ref Vector4, Single)

##### Declaration

    public static bool DragFloat4(string label, ref Vector4 v, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat4(String, ref Vector4, Single, Single)

##### Declaration

    public static bool DragFloat4(string label, ref Vector4 v, float v_speed, float v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |
System.Single | v_speed |
System.Single | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat4(String, ref Vector4, Single, Single, Single)

##### Declaration

    public static bool DragFloat4(string label, ref Vector4 v, float v_speed, float v_min, float v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat4(String, ref Vector4, Single, Single, Single, String)

##### Declaration

    public static bool DragFloat4(string label, ref Vector4 v, float v_speed, float v_min, float v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloat4(String, ref Vector4, Single, Single, Single, String, Single)

##### Declaration

    public static bool DragFloat4(string label, ref Vector4 v, float v_speed, float v_min, float v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloatRange2(String, ref Single, ref Single)

##### Declaration

    public static bool DragFloatRange2(string label, ref float v_current_min, ref float v_current_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v_current_min |
System.Single | v_current_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloatRange2(String, ref Single, ref Single, Single)

##### Declaration

    public static bool DragFloatRange2(string label, ref float v_current_min, ref float v_current_max, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v_current_min |
System.Single | v_current_max |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloatRange2(String, ref Single, ref Single, Single, Single)

##### Declaration

    public static bool DragFloatRange2(string label, ref float v_current_min, ref float v_current_max, float v_speed, float v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v_current_min |
System.Single | v_current_max |
System.Single | v_speed |
System.Single | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloatRange2(String, ref Single, ref Single, Single, Single, Single)

##### Declaration

    public static bool DragFloatRange2(string label, ref float v_current_min, ref float v_current_max, float v_speed, float v_min, float v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v_current_min |
System.Single | v_current_max |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloatRange2(String, ref Single, ref Single, Single, Single, Single, String)

##### Declaration

    public static bool DragFloatRange2(string label, ref float v_current_min, ref float v_current_max, float v_speed, float v_min, float v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v_current_min |
System.Single | v_current_max |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloatRange2(String, ref Single, ref Single, Single, Single, Single, String, String)

##### Declaration

    public static bool DragFloatRange2(string label, ref float v_current_min, ref float v_current_max, float v_speed, float v_min, float v_max, string format, string format_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v_current_min |
System.Single | v_current_max |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.String | format |
System.String | format_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragFloatRange2(String, ref Single, ref Single, Single, Single, Single, String, String, Single)

##### Declaration

    public static bool DragFloatRange2(string label, ref float v_current_min, ref float v_current_max, float v_speed, float v_min, float v_max, string format, string format_max, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v_current_min |
System.Single | v_current_max |
System.Single | v_speed |
System.Single | v_min |
System.Single | v_max |
System.String | format |
System.String | format_max |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt(String, ref Int32)

##### Declaration

    public static bool DragInt(string label, ref int v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt(String, ref Int32, Single)

##### Declaration

    public static bool DragInt(string label, ref int v, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt(String, ref Int32, Single, Int32)

##### Declaration

    public static bool DragInt(string label, ref int v, float v_speed, int v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt(String, ref Int32, Single, Int32, Int32)

##### Declaration

    public static bool DragInt(string label, ref int v, float v_speed, int v_min, int v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt(String, ref Int32, Single, Int32, Int32, String)

##### Declaration

    public static bool DragInt(string label, ref int v, float v_speed, int v_min, int v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt2(String, ref Int32)

##### Declaration

    public static bool DragInt2(string label, ref int v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt2(String, ref Int32, Single)

##### Declaration

    public static bool DragInt2(string label, ref int v, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt2(String, ref Int32, Single, Int32)

##### Declaration

    public static bool DragInt2(string label, ref int v, float v_speed, int v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt2(String, ref Int32, Single, Int32, Int32)

##### Declaration

    public static bool DragInt2(string label, ref int v, float v_speed, int v_min, int v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt2(String, ref Int32, Single, Int32, Int32, String)

##### Declaration

    public static bool DragInt2(string label, ref int v, float v_speed, int v_min, int v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt3(String, ref Int32)

##### Declaration

    public static bool DragInt3(string label, ref int v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt3(String, ref Int32, Single)

##### Declaration

    public static bool DragInt3(string label, ref int v, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt3(String, ref Int32, Single, Int32)

##### Declaration

    public static bool DragInt3(string label, ref int v, float v_speed, int v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt3(String, ref Int32, Single, Int32, Int32)

##### Declaration

    public static bool DragInt3(string label, ref int v, float v_speed, int v_min, int v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt3(String, ref Int32, Single, Int32, Int32, String)

##### Declaration

    public static bool DragInt3(string label, ref int v, float v_speed, int v_min, int v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt4(String, ref Int32)

##### Declaration

    public static bool DragInt4(string label, ref int v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt4(String, ref Int32, Single)

##### Declaration

    public static bool DragInt4(string label, ref int v, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt4(String, ref Int32, Single, Int32)

##### Declaration

    public static bool DragInt4(string label, ref int v, float v_speed, int v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt4(String, ref Int32, Single, Int32, Int32)

##### Declaration

    public static bool DragInt4(string label, ref int v, float v_speed, int v_min, int v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragInt4(String, ref Int32, Single, Int32, Int32, String)

##### Declaration

    public static bool DragInt4(string label, ref int v, float v_speed, int v_min, int v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragIntRange2(String, ref Int32, ref Int32)

##### Declaration

    public static bool DragIntRange2(string label, ref int v_current_min, ref int v_current_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v_current_min |
System.Int32 | v_current_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragIntRange2(String, ref Int32, ref Int32, Single)

##### Declaration

    public static bool DragIntRange2(string label, ref int v_current_min, ref int v_current_max, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v_current_min |
System.Int32 | v_current_max |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragIntRange2(String, ref Int32, ref Int32, Single, Int32)

##### Declaration

    public static bool DragIntRange2(string label, ref int v_current_min, ref int v_current_max, float v_speed, int v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v_current_min |
System.Int32 | v_current_max |
System.Single | v_speed |
System.Int32 | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragIntRange2(String, ref Int32, ref Int32, Single, Int32, Int32)

##### Declaration

    public static bool DragIntRange2(string label, ref int v_current_min, ref int v_current_max, float v_speed, int v_min, int v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v_current_min |
System.Int32 | v_current_max |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragIntRange2(String, ref Int32, ref Int32, Single, Int32, Int32, String)

##### Declaration

    public static bool DragIntRange2(string label, ref int v_current_min, ref int v_current_max, float v_speed, int v_min, int v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v_current_min |
System.Int32 | v_current_max |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragIntRange2(String, ref Int32, ref Int32, Single, Int32, Int32, String, String)

##### Declaration

    public static bool DragIntRange2(string label, ref int v_current_min, ref int v_current_max, float v_speed, int v_min, int v_max, string format, string format_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v_current_min |
System.Int32 | v_current_max |
System.Single | v_speed |
System.Int32 | v_min |
System.Int32 | v_max |
System.String | format |
System.String | format_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragScalar(String, ImGuiDataType, IntPtr, Single)

##### Declaration

    public static bool DragScalar(string label, ImGuiDataType data_type, IntPtr v, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragScalar(String, ImGuiDataType, IntPtr, Single, IntPtr)

##### Declaration

    public static bool DragScalar(string label, ImGuiDataType data_type, IntPtr v, float v_speed, IntPtr v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Single | v_speed |
System.IntPtr | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragScalar(String, ImGuiDataType, IntPtr, Single, IntPtr, IntPtr)

##### Declaration

    public static bool DragScalar(string label, ImGuiDataType data_type, IntPtr v, float v_speed, IntPtr v_min, IntPtr v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Single | v_speed |
System.IntPtr | v_min |
System.IntPtr | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragScalar(String, ImGuiDataType, IntPtr, Single, IntPtr, IntPtr, String)

##### Declaration

    public static bool DragScalar(string label, ImGuiDataType data_type, IntPtr v, float v_speed, IntPtr v_min, IntPtr v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Single | v_speed |
System.IntPtr | v_min |
System.IntPtr | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragScalar(String, ImGuiDataType, IntPtr, Single, IntPtr, IntPtr, String, Single)

##### Declaration

    public static bool DragScalar(string label, ImGuiDataType data_type, IntPtr v, float v_speed, IntPtr v_min, IntPtr v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Single | v_speed |
System.IntPtr | v_min |
System.IntPtr | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragScalarN(String, ImGuiDataType, IntPtr, Int32, Single)

##### Declaration

    public static bool DragScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, float v_speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.Single | v_speed |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragScalarN(String, ImGuiDataType, IntPtr, Int32, Single, IntPtr)

##### Declaration

    public static bool DragScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, float v_speed, IntPtr v_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.Single | v_speed |
System.IntPtr | v_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragScalarN(String, ImGuiDataType, IntPtr, Int32, Single, IntPtr, IntPtr)

##### Declaration

    public static bool DragScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, float v_speed, IntPtr v_min, IntPtr v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.Single | v_speed |
System.IntPtr | v_min |
System.IntPtr | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragScalarN(String, ImGuiDataType, IntPtr, Int32, Single, IntPtr, IntPtr, String)

##### Declaration

    public static bool DragScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, float v_speed, IntPtr v_min, IntPtr v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.Single | v_speed |
System.IntPtr | v_min |
System.IntPtr | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DragScalarN(String, ImGuiDataType, IntPtr, Int32, Single, IntPtr, IntPtr, String, Single)

##### Declaration

    public static bool DragScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, float v_speed, IntPtr v_min, IntPtr v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.Single | v_speed |
System.IntPtr | v_min |
System.IntPtr | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Dummy(Vector2)

##### Declaration

    public static void Dummy(Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |

| Improve this Doc View Source

#### End()

##### Declaration

    public static void End()

| Improve this Doc View Source

#### EndChild()

##### Declaration

    public static void EndChild()

| Improve this Doc View Source

#### EndChildFrame()

##### Declaration

    public static void EndChildFrame()

| Improve this Doc View Source

#### EndCombo()

##### Declaration

    public static void EndCombo()

| Improve this Doc View Source

#### EndDragDropSource()

##### Declaration

    public static void EndDragDropSource()

| Improve this Doc View Source

#### EndDragDropTarget()

##### Declaration

    public static void EndDragDropTarget()

| Improve this Doc View Source

#### EndFrame()

##### Declaration

    public static void EndFrame()

| Improve this Doc View Source

#### EndGroup()

##### Declaration

    public static void EndGroup()

| Improve this Doc View Source

#### EndMainMenuBar()

##### Declaration

    public static void EndMainMenuBar()

| Improve this Doc View Source

#### EndMenu()

##### Declaration

    public static void EndMenu()

| Improve this Doc View Source

#### EndMenuBar()

##### Declaration

    public static void EndMenuBar()

| Improve this Doc View Source

#### EndPopup()

##### Declaration

    public static void EndPopup()

| Improve this Doc View Source

#### EndTabBar()

##### Declaration

    public static void EndTabBar()

| Improve this Doc View Source

#### EndTabItem()

##### Declaration

    public static void EndTabItem()

| Improve this Doc View Source

#### EndTooltip()

##### Declaration

    public static void EndTooltip()

| Improve this Doc View Source

#### GetBackgroundDrawList()

##### Declaration

    public static ImDrawListPtr GetBackgroundDrawList()

##### Returns

Type | Description
--- | ---
ImDrawListPtr |

| Improve this Doc View Source

#### GetClipboardText()

##### Declaration

    public static string GetClipboardText()

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### GetColorU32(ImGuiCol)

##### Declaration

    public static uint GetColorU32(ImGuiCol idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiCol | idx |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetColorU32(ImGuiCol, Single)

##### Declaration

    public static uint GetColorU32(ImGuiCol idx, float alpha_mul)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiCol | idx |
System.Single | alpha_mul |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetColorU32(Vector4)

##### Declaration

    public static uint GetColorU32(Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetColorU32(UInt32)

##### Declaration

    public static uint GetColorU32(uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | col |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetColumnIndex()

##### Declaration

    public static int GetColumnIndex()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetColumnOffset()

##### Declaration

    public static float GetColumnOffset()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetColumnOffset(Int32)

##### Declaration

    public static float GetColumnOffset(int column_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | column_index |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetColumnsCount()

##### Declaration

    public static int GetColumnsCount()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetColumnWidth()

##### Declaration

    public static float GetColumnWidth()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetColumnWidth(Int32)

##### Declaration

    public static float GetColumnWidth(int column_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | column_index |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetContentRegionAvail()

##### Declaration

    public static Vector2 GetContentRegionAvail()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetContentRegionMax()

##### Declaration

    public static Vector2 GetContentRegionMax()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetCurrentContext()

##### Declaration

    public static IntPtr GetCurrentContext()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetCursorPos()

##### Declaration

    public static Vector2 GetCursorPos()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetCursorPosX()

##### Declaration

    public static float GetCursorPosX()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetCursorPosY()

##### Declaration

    public static float GetCursorPosY()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetCursorScreenPos()

##### Declaration

    public static Vector2 GetCursorScreenPos()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetCursorStartPos()

##### Declaration

    public static Vector2 GetCursorStartPos()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetDragDropPayload()

##### Declaration

    public static ImGuiPayloadPtr GetDragDropPayload()

##### Returns

Type | Description
--- | ---
ImGuiPayloadPtr |

| Improve this Doc View Source

#### GetDrawData()

##### Declaration

    public static ImDrawDataPtr GetDrawData()

##### Returns

Type | Description
--- | ---
ImDrawDataPtr |

| Improve this Doc View Source

#### GetDrawListSharedData()

##### Declaration

    public static IntPtr GetDrawListSharedData()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetFont()

##### Declaration

    public static ImFontPtr GetFont()

##### Returns

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### GetFontSize()

##### Declaration

    public static float GetFontSize()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetFontTexUvWhitePixel()

##### Declaration

    public static Vector2 GetFontTexUvWhitePixel()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetForegroundDrawList()

##### Declaration

    public static ImDrawListPtr GetForegroundDrawList()

##### Returns

Type | Description
--- | ---
ImDrawListPtr |

| Improve this Doc View Source

#### GetFrameCount()

##### Declaration

    public static int GetFrameCount()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetFrameHeight()

##### Declaration

    public static float GetFrameHeight()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetFrameHeightWithSpacing()

##### Declaration

    public static float GetFrameHeightWithSpacing()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetID(IntPtr)

##### Declaration

    public static uint GetID(IntPtr ptr_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ptr_id |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetID(String)

##### Declaration

    public static uint GetID(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetIO()

##### Declaration

    public static ImGuiIOPtr GetIO()

##### Returns

Type | Description
--- | ---
ImGuiIOPtr |

| Improve this Doc View Source

#### GetItemRectMax()

##### Declaration

    public static Vector2 GetItemRectMax()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetItemRectMin()

##### Declaration

    public static Vector2 GetItemRectMin()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetItemRectSize()

##### Declaration

    public static Vector2 GetItemRectSize()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetKeyIndex(ImGuiKey)

##### Declaration

    public static int GetKeyIndex(ImGuiKey imgui_key)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKey | imgui_key |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetKeyPressedAmount(Int32, Single, Single)

##### Declaration

    public static int GetKeyPressedAmount(int key_index, float repeat_delay, float rate)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | key_index |
System.Single | repeat_delay |
System.Single | rate |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetMouseCursor()

##### Declaration

    public static ImGuiMouseCursor GetMouseCursor()

##### Returns

Type | Description
--- | ---
ImGuiMouseCursor |

| Improve this Doc View Source

#### GetMouseDragDelta()

##### Declaration

    public static Vector2 GetMouseDragDelta()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetMouseDragDelta(Int32)

##### Declaration

    public static Vector2 GetMouseDragDelta(int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetMouseDragDelta(Int32, Single)

##### Declaration

    public static Vector2 GetMouseDragDelta(int button, float lock_threshold)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |
System.Single | lock_threshold |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetMousePos()

##### Declaration

    public static Vector2 GetMousePos()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetMousePosOnOpeningCurrentPopup()

##### Declaration

    public static Vector2 GetMousePosOnOpeningCurrentPopup()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetScrollMaxX()

##### Declaration

    public static float GetScrollMaxX()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetScrollMaxY()

##### Declaration

    public static float GetScrollMaxY()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetScrollX()

##### Declaration

    public static float GetScrollX()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetScrollY()

##### Declaration

    public static float GetScrollY()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetStateStorage()

##### Declaration

    public static ImGuiStoragePtr GetStateStorage()

##### Returns

Type | Description
--- | ---
ImGuiStoragePtr |

| Improve this Doc View Source

#### GetStyle()

##### Declaration

    public static ImGuiStylePtr GetStyle()

##### Returns

Type | Description
--- | ---
ImGuiStylePtr |

| Improve this Doc View Source

#### GetStyleColorName(ImGuiCol)

##### Declaration

    public static string GetStyleColorName(ImGuiCol idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiCol | idx |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### GetStyleColorVec4(ImGuiCol)

##### Declaration

    public static Vector4*GetStyleColorVec4(ImGuiCol idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiCol | idx |

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4* |

| Improve this Doc View Source

#### GetTextLineHeight()

##### Declaration

    public static float GetTextLineHeight()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetTextLineHeightWithSpacing()

##### Declaration

    public static float GetTextLineHeightWithSpacing()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetTime()

##### Declaration

    public static double GetTime()

##### Returns

Type | Description
--- | ---
System.Double |

| Improve this Doc View Source

#### GetTreeNodeToLabelSpacing()

##### Declaration

    public static float GetTreeNodeToLabelSpacing()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetVersion()

##### Declaration

    public static string GetVersion()

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### GetWindowContentRegionMax()

##### Declaration

    public static Vector2 GetWindowContentRegionMax()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetWindowContentRegionMin()

##### Declaration

    public static Vector2 GetWindowContentRegionMin()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetWindowContentRegionWidth()

##### Declaration

    public static float GetWindowContentRegionWidth()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetWindowDrawList()

##### Declaration

    public static ImDrawListPtr GetWindowDrawList()

##### Returns

Type | Description
--- | ---
ImDrawListPtr |

| Improve this Doc View Source

#### GetWindowHeight()

##### Declaration

    public static float GetWindowHeight()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetWindowPos()

##### Declaration

    public static Vector2 GetWindowPos()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetWindowSize()

##### Declaration

    public static Vector2 GetWindowSize()

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### GetWindowWidth()

##### Declaration

    public static float GetWindowWidth()

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Image(IntPtr, Vector2)

##### Declaration

    public static void Image(IntPtr user_texture_id, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |

| Improve this Doc View Source

#### Image(IntPtr, Vector2, Vector2)

##### Declaration

    public static void Image(IntPtr user_texture_id, Vector2 size, Vector2 uv0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |
System.Numerics.Vector2 | uv0 |

| Improve this Doc View Source

#### Image(IntPtr, Vector2, Vector2, Vector2)

##### Declaration

    public static void Image(IntPtr user_texture_id, Vector2 size, Vector2 uv0, Vector2 uv1)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |
System.Numerics.Vector2 | uv0 |
System.Numerics.Vector2 | uv1 |

| Improve this Doc View Source

#### Image(IntPtr, Vector2, Vector2, Vector2, Vector4)

##### Declaration

    public static void Image(IntPtr user_texture_id, Vector2 size, Vector2 uv0, Vector2 uv1, Vector4 tint_col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |
System.Numerics.Vector2 | uv0 |
System.Numerics.Vector2 | uv1 |
System.Numerics.Vector4 | tint_col |

| Improve this Doc View Source

#### Image(IntPtr, Vector2, Vector2, Vector2, Vector4, Vector4)

##### Declaration

    public static void Image(IntPtr user_texture_id, Vector2 size, Vector2 uv0, Vector2 uv1, Vector4 tint_col, Vector4 border_col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |
System.Numerics.Vector2 | uv0 |
System.Numerics.Vector2 | uv1 |
System.Numerics.Vector4 | tint_col |
System.Numerics.Vector4 | border_col |

| Improve this Doc View Source

#### ImageButton(IntPtr, Vector2)

##### Declaration

    public static bool ImageButton(IntPtr user_texture_id, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ImageButton(IntPtr, Vector2, Vector2)

##### Declaration

    public static bool ImageButton(IntPtr user_texture_id, Vector2 size, Vector2 uv0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |
System.Numerics.Vector2 | uv0 |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ImageButton(IntPtr, Vector2, Vector2, Vector2)

##### Declaration

    public static bool ImageButton(IntPtr user_texture_id, Vector2 size, Vector2 uv0, Vector2 uv1)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |
System.Numerics.Vector2 | uv0 |
System.Numerics.Vector2 | uv1 |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ImageButton(IntPtr, Vector2, Vector2, Vector2, Int32)

##### Declaration

    public static bool ImageButton(IntPtr user_texture_id, Vector2 size, Vector2 uv0, Vector2 uv1, int frame_padding)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |
System.Numerics.Vector2 | uv0 |
System.Numerics.Vector2 | uv1 |
System.Int32 | frame_padding |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ImageButton(IntPtr, Vector2, Vector2, Vector2, Int32, Vector4)

##### Declaration

    public static bool ImageButton(IntPtr user_texture_id, Vector2 size, Vector2 uv0, Vector2 uv1, int frame_padding, Vector4 bg_col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |
System.Numerics.Vector2 | uv0 |
System.Numerics.Vector2 | uv1 |
System.Int32 | frame_padding |
System.Numerics.Vector4 | bg_col |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ImageButton(IntPtr, Vector2, Vector2, Vector2, Int32, Vector4, Vector4)

##### Declaration

    public static bool ImageButton(IntPtr user_texture_id, Vector2 size, Vector2 uv0, Vector2 uv1, int frame_padding, Vector4 bg_col, Vector4 tint_col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | user_texture_id |
System.Numerics.Vector2 | size |
System.Numerics.Vector2 | uv0 |
System.Numerics.Vector2 | uv1 |
System.Int32 | frame_padding |
System.Numerics.Vector4 | bg_col |
System.Numerics.Vector4 | tint_col |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Indent()

##### Declaration

    public static void Indent()

| Improve this Doc View Source

#### Indent(Single)

##### Declaration

    public static void Indent(float indent_w)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | indent_w |

| Improve this Doc View Source

#### InputDouble(String, ref Double)

##### Declaration

    public static bool InputDouble(string label, ref double v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Double | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputDouble(String, ref Double, Double)

##### Declaration

    public static bool InputDouble(string label, ref double v, double step)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Double | v |
System.Double | step |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputDouble(String, ref Double, Double, Double)

##### Declaration

    public static bool InputDouble(string label, ref double v, double step, double step_fast)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Double | v |
System.Double | step |
System.Double | step_fast |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputDouble(String, ref Double, Double, Double, String)

##### Declaration

    public static bool InputDouble(string label, ref double v, double step, double step_fast, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Double | v |
System.Double | step |
System.Double | step_fast |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputDouble(String, ref Double, Double, Double, String, ImGuiInputTextFlags)

##### Declaration

    public static bool InputDouble(string label, ref double v, double step, double step_fast, string format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Double | v |
System.Double | step |
System.Double | step_fast |
System.String | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat(String, ref Single)

##### Declaration

    public static bool InputFloat(string label, ref float v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat(String, ref Single, Single)

##### Declaration

    public static bool InputFloat(string label, ref float v, float step)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | step |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat(String, ref Single, Single, Single)

##### Declaration

    public static bool InputFloat(string label, ref float v, float step, float step_fast)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | step |
System.Single | step_fast |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat(String, ref Single, Single, Single, String)

##### Declaration

    public static bool InputFloat(string label, ref float v, float step, float step_fast, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | step |
System.Single | step_fast |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat(String, ref Single, Single, Single, String, ImGuiInputTextFlags)

##### Declaration

    public static bool InputFloat(string label, ref float v, float step, float step_fast, string format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | step |
System.Single | step_fast |
System.String | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat2(String, ref Vector2)

##### Declaration

    public static bool InputFloat2(string label, ref Vector2 v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat2(String, ref Vector2, String)

##### Declaration

    public static bool InputFloat2(string label, ref Vector2 v, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat2(String, ref Vector2, String, ImGuiInputTextFlags)

##### Declaration

    public static bool InputFloat2(string label, ref Vector2 v, string format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |
System.String | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat3(String, ref Vector3)

##### Declaration

    public static bool InputFloat3(string label, ref Vector3 v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat3(String, ref Vector3, String)

##### Declaration

    public static bool InputFloat3(string label, ref Vector3 v, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat3(String, ref Vector3, String, ImGuiInputTextFlags)

##### Declaration

    public static bool InputFloat3(string label, ref Vector3 v, string format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |
System.String | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat4(String, ref Vector4)

##### Declaration

    public static bool InputFloat4(string label, ref Vector4 v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat4(String, ref Vector4, String)

##### Declaration

    public static bool InputFloat4(string label, ref Vector4 v, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputFloat4(String, ref Vector4, String, ImGuiInputTextFlags)

##### Declaration

    public static bool InputFloat4(string label, ref Vector4 v, string format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |
System.String | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputInt(String, ref Int32)

##### Declaration

    public static bool InputInt(string label, ref int v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputInt(String, ref Int32, Int32)

##### Declaration

    public static bool InputInt(string label, ref int v, int step)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | step |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputInt(String, ref Int32, Int32, Int32)

##### Declaration

    public static bool InputInt(string label, ref int v, int step, int step_fast)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | step |
System.Int32 | step_fast |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputInt(String, ref Int32, Int32, Int32, ImGuiInputTextFlags)

##### Declaration

    public static bool InputInt(string label, ref int v, int step, int step_fast, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | step |
System.Int32 | step_fast |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputInt2(String, ref Int32)

##### Declaration

    public static bool InputInt2(string label, ref int v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputInt2(String, ref Int32, ImGuiInputTextFlags)

##### Declaration

    public static bool InputInt2(string label, ref int v, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputInt3(String, ref Int32)

##### Declaration

    public static bool InputInt3(string label, ref int v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputInt3(String, ref Int32, ImGuiInputTextFlags)

##### Declaration

    public static bool InputInt3(string label, ref int v, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputInt4(String, ref Int32)

##### Declaration

    public static bool InputInt4(string label, ref int v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputInt4(String, ref Int32, ImGuiInputTextFlags)

##### Declaration

    public static bool InputInt4(string label, ref int v, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputScalar(String, ImGuiDataType, IntPtr)

##### Declaration

    public static bool InputScalar(string label, ImGuiDataType data_type, IntPtr v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputScalar(String, ImGuiDataType, IntPtr, IntPtr)

##### Declaration

    public static bool InputScalar(string label, ImGuiDataType data_type, IntPtr v, IntPtr step)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.IntPtr | step |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputScalar(String, ImGuiDataType, IntPtr, IntPtr, IntPtr)

##### Declaration

    public static bool InputScalar(string label, ImGuiDataType data_type, IntPtr v, IntPtr step, IntPtr step_fast)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.IntPtr | step |
System.IntPtr | step_fast |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputScalar(String, ImGuiDataType, IntPtr, IntPtr, IntPtr, String)

##### Declaration

    public static bool InputScalar(string label, ImGuiDataType data_type, IntPtr v, IntPtr step, IntPtr step_fast, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.IntPtr | step |
System.IntPtr | step_fast |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputScalar(String, ImGuiDataType, IntPtr, IntPtr, IntPtr, String, ImGuiInputTextFlags)

##### Declaration

    public static bool InputScalar(string label, ImGuiDataType data_type, IntPtr v, IntPtr step, IntPtr step_fast, string format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.IntPtr | step |
System.IntPtr | step_fast |
System.String | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputScalarN(String, ImGuiDataType, IntPtr, Int32)

##### Declaration

    public static bool InputScalarN(string label, ImGuiDataType data_type, IntPtr v, int components)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputScalarN(String, ImGuiDataType, IntPtr, Int32, IntPtr)

##### Declaration

    public static bool InputScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, IntPtr step)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.IntPtr | step |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputScalarN(String, ImGuiDataType, IntPtr, Int32, IntPtr, IntPtr)

##### Declaration

    public static bool InputScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, IntPtr step, IntPtr step_fast)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.IntPtr | step |
System.IntPtr | step_fast |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputScalarN(String, ImGuiDataType, IntPtr, Int32, IntPtr, IntPtr, String)

##### Declaration

    public static bool InputScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, IntPtr step, IntPtr step_fast, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.IntPtr | step |
System.IntPtr | step_fast |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputScalarN(String, ImGuiDataType, IntPtr, Int32, IntPtr, IntPtr, String, ImGuiInputTextFlags)

##### Declaration

    public static bool InputScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, IntPtr step, IntPtr step_fast, string format, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.IntPtr | step |
System.IntPtr | step_fast |
System.String | format |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, Byte[], UInt32)

##### Declaration

    public static bool InputText(string label, byte[] buf, uint buf_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Byte[] | buf |
System.UInt32 | buf_size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, Byte[], UInt32, ImGuiInputTextFlags)

##### Declaration

    public static bool InputText(string label, byte[] buf, uint buf_size, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Byte[] | buf |
System.UInt32 | buf_size |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, Byte[], UInt32, ImGuiInputTextFlags, ImGuiInputTextCallback)

##### Declaration

    public static bool InputText(string label, byte[] buf, uint buf_size, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Byte[] | buf |
System.UInt32 | buf_size |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, Byte[], UInt32, ImGuiInputTextFlags, ImGuiInputTextCallback, IntPtr)

##### Declaration

    public static bool InputText(string label, byte[] buf, uint buf_size, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback, IntPtr user_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Byte[] | buf |
System.UInt32 | buf_size |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |
System.IntPtr | user_data |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, IntPtr, UInt32)

##### Declaration

    public static bool InputText(string label, IntPtr buf, uint buf_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.IntPtr | buf |
System.UInt32 | buf_size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, IntPtr, UInt32, ImGuiInputTextFlags)

##### Declaration

    public static bool InputText(string label, IntPtr buf, uint buf_size, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.IntPtr | buf |
System.UInt32 | buf_size |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, IntPtr, UInt32, ImGuiInputTextFlags, ImGuiInputTextCallback)

##### Declaration

    public static bool InputText(string label, IntPtr buf, uint buf_size, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.IntPtr | buf |
System.UInt32 | buf_size |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, IntPtr, UInt32, ImGuiInputTextFlags, ImGuiInputTextCallback, IntPtr)

##### Declaration

    public static bool InputText(string label, IntPtr buf, uint buf_size, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback, IntPtr user_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.IntPtr | buf |
System.UInt32 | buf_size |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |
System.IntPtr | user_data |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, ref String, UInt32)

##### Declaration

    public static bool InputText(string label, ref string input, uint maxLength)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | input |
System.UInt32 | maxLength |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, ref String, UInt32, ImGuiInputTextFlags)

##### Declaration

    public static bool InputText(string label, ref string input, uint maxLength, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | input |
System.UInt32 | maxLength |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, ref String, UInt32, ImGuiInputTextFlags, ImGuiInputTextCallback)

##### Declaration

    public static bool InputText(string label, ref string input, uint maxLength, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | input |
System.UInt32 | maxLength |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputText(String, ref String, UInt32, ImGuiInputTextFlags, ImGuiInputTextCallback, IntPtr)

##### Declaration

    public static bool InputText(string label, ref string input, uint maxLength, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback, IntPtr user_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | input |
System.UInt32 | maxLength |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |
System.IntPtr | user_data |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputTextMultiline(String, ref String, UInt32, Vector2)

##### Declaration

    public static bool InputTextMultiline(string label, ref string input, uint maxLength, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | input |
System.UInt32 | maxLength |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputTextMultiline(String, ref String, UInt32, Vector2, ImGuiInputTextFlags)

##### Declaration

    public static bool InputTextMultiline(string label, ref string input, uint maxLength, Vector2 size, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | input |
System.UInt32 | maxLength |
System.Numerics.Vector2 | size |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputTextMultiline(String, ref String, UInt32, Vector2, ImGuiInputTextFlags, ImGuiInputTextCallback)

##### Declaration

    public static bool InputTextMultiline(string label, ref string input, uint maxLength, Vector2 size, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | input |
System.UInt32 | maxLength |
System.Numerics.Vector2 | size |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputTextMultiline(String, ref String, UInt32, Vector2, ImGuiInputTextFlags, ImGuiInputTextCallback, IntPtr)

##### Declaration

    public static bool InputTextMultiline(string label, ref string input, uint maxLength, Vector2 size, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback, IntPtr user_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | input |
System.UInt32 | maxLength |
System.Numerics.Vector2 | size |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |
System.IntPtr | user_data |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputTextWithHint(String, String, String, UInt32)

##### Declaration

    public static bool InputTextWithHint(string label, string hint, string buf, uint buf_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | hint |
System.String | buf |
System.UInt32 | buf_size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputTextWithHint(String, String, String, UInt32, ImGuiInputTextFlags)

##### Declaration

    public static bool InputTextWithHint(string label, string hint, string buf, uint buf_size, ImGuiInputTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | hint |
System.String | buf |
System.UInt32 | buf_size |
ImGuiInputTextFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputTextWithHint(String, String, String, UInt32, ImGuiInputTextFlags, ImGuiInputTextCallback)

##### Declaration

    public static bool InputTextWithHint(string label, string hint, string buf, uint buf_size, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | hint |
System.String | buf |
System.UInt32 | buf_size |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InputTextWithHint(String, String, String, UInt32, ImGuiInputTextFlags, ImGuiInputTextCallback, IntPtr)

##### Declaration

    public static bool InputTextWithHint(string label, string hint, string buf, uint buf_size, ImGuiInputTextFlags flags, ImGuiInputTextCallback callback, IntPtr user_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | hint |
System.String | buf |
System.UInt32 | buf_size |
ImGuiInputTextFlags | flags |
ImGuiInputTextCallback | callback |
System.IntPtr | user_data |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InvisibleButton(String, Vector2)

##### Declaration

    public static bool InvisibleButton(string str_id, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsAnyItemActive()

##### Declaration

    public static bool IsAnyItemActive()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsAnyItemFocused()

##### Declaration

    public static bool IsAnyItemFocused()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsAnyItemHovered()

##### Declaration

    public static bool IsAnyItemHovered()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsAnyMouseDown()

##### Declaration

    public static bool IsAnyMouseDown()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemActivated()

##### Declaration

    public static bool IsItemActivated()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemActive()

##### Declaration

    public static bool IsItemActive()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemClicked()

##### Declaration

    public static bool IsItemClicked()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemClicked(Int32)

##### Declaration

    public static bool IsItemClicked(int mouse_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | mouse_button |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemDeactivated()

##### Declaration

    public static bool IsItemDeactivated()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemDeactivatedAfterEdit()

##### Declaration

    public static bool IsItemDeactivatedAfterEdit()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemEdited()

##### Declaration

    public static bool IsItemEdited()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemFocused()

##### Declaration

    public static bool IsItemFocused()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemHovered()

##### Declaration

    public static bool IsItemHovered()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemHovered(ImGuiHoveredFlags)

##### Declaration

    public static bool IsItemHovered(ImGuiHoveredFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiHoveredFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsItemVisible()

##### Declaration

    public static bool IsItemVisible()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsKeyDown(Int32)

##### Declaration

    public static bool IsKeyDown(int user_key_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | user_key_index |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsKeyPressed(Int32)

##### Declaration

    public static bool IsKeyPressed(int user_key_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | user_key_index |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsKeyPressed(Int32, Boolean)

##### Declaration

    public static bool IsKeyPressed(int user_key_index, bool repeat)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | user_key_index |
System.Boolean | repeat |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsKeyReleased(Int32)

##### Declaration

    public static bool IsKeyReleased(int user_key_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | user_key_index |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMouseClicked(Int32)

##### Declaration

    public static bool IsMouseClicked(int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMouseClicked(Int32, Boolean)

##### Declaration

    public static bool IsMouseClicked(int button, bool repeat)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |
System.Boolean | repeat |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMouseDoubleClicked(Int32)

##### Declaration

    public static bool IsMouseDoubleClicked(int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMouseDown(Int32)

##### Declaration

    public static bool IsMouseDown(int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMouseDragging()

##### Declaration

    public static bool IsMouseDragging()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMouseDragging(Int32)

##### Declaration

    public static bool IsMouseDragging(int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMouseDragging(Int32, Single)

##### Declaration

    public static bool IsMouseDragging(int button, float lock_threshold)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |
System.Single | lock_threshold |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMouseHoveringRect(Vector2, Vector2)

##### Declaration

    public static bool IsMouseHoveringRect(Vector2 r_min, Vector2 r_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | r_min |
System.Numerics.Vector2 | r_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMouseHoveringRect(Vector2, Vector2, Boolean)

##### Declaration

    public static bool IsMouseHoveringRect(Vector2 r_min, Vector2 r_max, bool clip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | r_min |
System.Numerics.Vector2 | r_max |
System.Boolean | clip |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMousePosValid()

##### Declaration

    public static bool IsMousePosValid()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMousePosValid(ref Vector2)

##### Declaration

    public static bool IsMousePosValid(ref Vector2 mouse_pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | mouse_pos |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsMouseReleased(Int32)

##### Declaration

    public static bool IsMouseReleased(int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsPopupOpen(String)

##### Declaration

    public static bool IsPopupOpen(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsRectVisible(Vector2)

##### Declaration

    public static bool IsRectVisible(Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsRectVisible(Vector2, Vector2)

##### Declaration

    public static bool IsRectVisible(Vector2 rect_min, Vector2 rect_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | rect_min |
System.Numerics.Vector2 | rect_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsWindowAppearing()

##### Declaration

    public static bool IsWindowAppearing()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsWindowCollapsed()

##### Declaration

    public static bool IsWindowCollapsed()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsWindowFocused()

##### Declaration

    public static bool IsWindowFocused()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsWindowFocused(ImGuiFocusedFlags)

##### Declaration

    public static bool IsWindowFocused(ImGuiFocusedFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiFocusedFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsWindowHovered()

##### Declaration

    public static bool IsWindowHovered()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsWindowHovered(ImGuiHoveredFlags)

##### Declaration

    public static bool IsWindowHovered(ImGuiHoveredFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiHoveredFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LabelText(String, String)

##### Declaration

    public static void LabelText(string label, string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | fmt |

| Improve this Doc View Source

#### ListBox(String, ref Int32, String[], Int32)

##### Declaration

    public static bool ListBox(string label, ref int current_item, string[] items, int items_count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | current_item |
System.String[] | items |
System.Int32 | items_count |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ListBox(String, ref Int32, String[], Int32, Int32)

##### Declaration

    public static bool ListBox(string label, ref int current_item, string[] items, int items_count, int height_in_items)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | current_item |
System.String[] | items |
System.Int32 | items_count |
System.Int32 | height_in_items |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ListBoxFooter()

##### Declaration

    public static void ListBoxFooter()

| Improve this Doc View Source

#### ListBoxHeader(String)

##### Declaration

    public static bool ListBoxHeader(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ListBoxHeader(String, Int32)

##### Declaration

    public static bool ListBoxHeader(string label, int items_count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | items_count |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ListBoxHeader(String, Int32, Int32)

##### Declaration

    public static bool ListBoxHeader(string label, int items_count, int height_in_items)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | items_count |
System.Int32 | height_in_items |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ListBoxHeader(String, Vector2)

##### Declaration

    public static bool ListBoxHeader(string label, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LoadIniSettingsFromDisk(String)

##### Declaration

    public static void LoadIniSettingsFromDisk(string ini_filename)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | ini_filename |

| Improve this Doc View Source

#### LoadIniSettingsFromMemory(String)

##### Declaration

    public static void LoadIniSettingsFromMemory(string ini_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | ini_data |

| Improve this Doc View Source

#### LoadIniSettingsFromMemory(String, UInt32)

##### Declaration

    public static void LoadIniSettingsFromMemory(string ini_data, uint ini_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | ini_data |
System.UInt32 | ini_size |

| Improve this Doc View Source

#### LogButtons()

##### Declaration

    public static void LogButtons()

| Improve this Doc View Source

#### LogFinish()

##### Declaration

    public static void LogFinish()

| Improve this Doc View Source

#### LogText(String)

##### Declaration

    public static void LogText(string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fmt |

| Improve this Doc View Source

#### LogToClipboard()

##### Declaration

    public static void LogToClipboard()

| Improve this Doc View Source

#### LogToClipboard(Int32)

##### Declaration

    public static void LogToClipboard(int auto_open_depth)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | auto_open_depth |

| Improve this Doc View Source

#### LogToFile()

##### Declaration

    public static void LogToFile()

| Improve this Doc View Source

#### LogToFile(Int32)

##### Declaration

    public static void LogToFile(int auto_open_depth)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | auto_open_depth |

| Improve this Doc View Source

#### LogToFile(Int32, String)

##### Declaration

    public static void LogToFile(int auto_open_depth, string filename)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | auto_open_depth |
System.String | filename |

| Improve this Doc View Source

#### LogToTTY()

##### Declaration

    public static void LogToTTY()

| Improve this Doc View Source

#### LogToTTY(Int32)

##### Declaration

    public static void LogToTTY(int auto_open_depth)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | auto_open_depth |

| Improve this Doc View Source

#### MemAlloc(UInt32)

##### Declaration

    public static IntPtr MemAlloc(uint size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | size |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### MemFree(IntPtr)

##### Declaration

    public static void MemFree(IntPtr ptr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ptr |

| Improve this Doc View Source

#### MenuItem(String)

##### Declaration

    public static bool MenuItem(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MenuItem(String, Boolean)

##### Declaration

    public static bool MenuItem(string label, bool enabled)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | enabled |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MenuItem(String, String)

##### Declaration

    public static bool MenuItem(string label, string shortcut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | shortcut |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MenuItem(String, String, Boolean)

##### Declaration

    public static bool MenuItem(string label, string shortcut, bool selected)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | shortcut |
System.Boolean | selected |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MenuItem(String, String, Boolean, Boolean)

##### Declaration

    public static bool MenuItem(string label, string shortcut, bool selected, bool enabled)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | shortcut |
System.Boolean | selected |
System.Boolean | enabled |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MenuItem(String, String, ref Boolean)

##### Declaration

    public static bool MenuItem(string label, string shortcut, ref bool p_selected)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | shortcut |
System.Boolean | p_selected |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MenuItem(String, String, ref Boolean, Boolean)

##### Declaration

    public static bool MenuItem(string label, string shortcut, ref bool p_selected, bool enabled)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | shortcut |
System.Boolean | p_selected |
System.Boolean | enabled |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### NewFrame()

##### Declaration

    public static void NewFrame()

| Improve this Doc View Source

#### NewLine()

##### Declaration

    public static void NewLine()

| Improve this Doc View Source

#### NextColumn()

##### Declaration

    public static void NextColumn()

| Improve this Doc View Source

#### OpenPopup(String)

##### Declaration

    public static void OpenPopup(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

| Improve this Doc View Source

#### OpenPopupOnItemClick()

##### Declaration

    public static bool OpenPopupOnItemClick()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### OpenPopupOnItemClick(String)

##### Declaration

    public static bool OpenPopupOnItemClick(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### OpenPopupOnItemClick(String, Int32)

##### Declaration

    public static bool OpenPopupOnItemClick(string str_id, int mouse_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
System.Int32 | mouse_button |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PlotHistogram(String, ref Single, Int32)

##### Declaration

    public static void PlotHistogram(string label, ref float values, int values_count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |

| Improve this Doc View Source

#### PlotHistogram(String, ref Single, Int32, Int32)

##### Declaration

    public static void PlotHistogram(string label, ref float values, int values_count, int values_offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |

| Improve this Doc View Source

#### PlotHistogram(String, ref Single, Int32, Int32, String)

##### Declaration

    public static void PlotHistogram(string label, ref float values, int values_count, int values_offset, string overlay_text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.String | overlay_text |

| Improve this Doc View Source

#### PlotHistogram(String, ref Single, Int32, Int32, String, Single)

##### Declaration

    public static void PlotHistogram(string label, ref float values, int values_count, int values_offset, string overlay_text, float scale_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.String | overlay_text |
System.Single | scale_min |

| Improve this Doc View Source

#### PlotHistogram(String, ref Single, Int32, Int32, String, Single, Single)

##### Declaration

    public static void PlotHistogram(string label, ref float values, int values_count, int values_offset, string overlay_text, float scale_min, float scale_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.String | overlay_text |
System.Single | scale_min |
System.Single | scale_max |

| Improve this Doc View Source

#### PlotHistogram(String, ref Single, Int32, Int32, String, Single, Single, Vector2)

##### Declaration

    public static void PlotHistogram(string label, ref float values, int values_count, int values_offset, string overlay_text, float scale_min, float scale_max, Vector2 graph_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.String | overlay_text |
System.Single | scale_min |
System.Single | scale_max |
System.Numerics.Vector2 | graph_size |

| Improve this Doc View Source

#### PlotHistogram(String, ref Single, Int32, Int32, String, Single, Single, Vector2, Int32)

##### Declaration

    public static void PlotHistogram(string label, ref float values, int values_count, int values_offset, string overlay_text, float scale_min, float scale_max, Vector2 graph_size, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.String | overlay_text |
System.Single | scale_min |
System.Single | scale_max |
System.Numerics.Vector2 | graph_size |
System.Int32 | stride |

| Improve this Doc View Source

#### PlotLines(String, ref Single, Int32)

##### Declaration

    public static void PlotLines(string label, ref float values, int values_count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |

| Improve this Doc View Source

#### PlotLines(String, ref Single, Int32, Int32)

##### Declaration

    public static void PlotLines(string label, ref float values, int values_count, int values_offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |

| Improve this Doc View Source

#### PlotLines(String, ref Single, Int32, Int32, String)

##### Declaration

    public static void PlotLines(string label, ref float values, int values_count, int values_offset, string overlay_text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.String | overlay_text |

| Improve this Doc View Source

#### PlotLines(String, ref Single, Int32, Int32, String, Single)

##### Declaration

    public static void PlotLines(string label, ref float values, int values_count, int values_offset, string overlay_text, float scale_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.String | overlay_text |
System.Single | scale_min |

| Improve this Doc View Source

#### PlotLines(String, ref Single, Int32, Int32, String, Single, Single)

##### Declaration

    public static void PlotLines(string label, ref float values, int values_count, int values_offset, string overlay_text, float scale_min, float scale_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.String | overlay_text |
System.Single | scale_min |
System.Single | scale_max |

| Improve this Doc View Source

#### PlotLines(String, ref Single, Int32, Int32, String, Single, Single, Vector2)

##### Declaration

    public static void PlotLines(string label, ref float values, int values_count, int values_offset, string overlay_text, float scale_min, float scale_max, Vector2 graph_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.String | overlay_text |
System.Single | scale_min |
System.Single | scale_max |
System.Numerics.Vector2 | graph_size |

| Improve this Doc View Source

#### PlotLines(String, ref Single, Int32, Int32, String, Single, Single, Vector2, Int32)

##### Declaration

    public static void PlotLines(string label, ref float values, int values_count, int values_offset, string overlay_text, float scale_min, float scale_max, Vector2 graph_size, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | values |
System.Int32 | values_count |
System.Int32 | values_offset |
System.String | overlay_text |
System.Single | scale_min |
System.Single | scale_max |
System.Numerics.Vector2 | graph_size |
System.Int32 | stride |

| Improve this Doc View Source

#### PopAllowKeyboardFocus()

##### Declaration

    public static void PopAllowKeyboardFocus()

| Improve this Doc View Source

#### PopButtonRepeat()

##### Declaration

    public static void PopButtonRepeat()

| Improve this Doc View Source

#### PopClipRect()

##### Declaration

    public static void PopClipRect()

| Improve this Doc View Source

#### PopFont()

##### Declaration

    public static void PopFont()

| Improve this Doc View Source

#### PopID()

##### Declaration

    public static void PopID()

| Improve this Doc View Source

#### PopItemWidth()

##### Declaration

    public static void PopItemWidth()

| Improve this Doc View Source

#### PopStyleColor()

##### Declaration

    public static void PopStyleColor()

| Improve this Doc View Source

#### PopStyleColor(Int32)

##### Declaration

    public static void PopStyleColor(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |

| Improve this Doc View Source

#### PopStyleVar()

##### Declaration

    public static void PopStyleVar()

| Improve this Doc View Source

#### PopStyleVar(Int32)

##### Declaration

    public static void PopStyleVar(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |

| Improve this Doc View Source

#### PopTextWrapPos()

##### Declaration

    public static void PopTextWrapPos()

| Improve this Doc View Source

#### ProgressBar(Single)

##### Declaration

    public static void ProgressBar(float fraction)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | fraction |

| Improve this Doc View Source

#### ProgressBar(Single, Vector2)

##### Declaration

    public static void ProgressBar(float fraction, Vector2 size_arg)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | fraction |
System.Numerics.Vector2 | size_arg |

| Improve this Doc View Source

#### ProgressBar(Single, Vector2, String)

##### Declaration

    public static void ProgressBar(float fraction, Vector2 size_arg, string overlay)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | fraction |
System.Numerics.Vector2 | size_arg |
System.String | overlay |

| Improve this Doc View Source

#### PushAllowKeyboardFocus(Boolean)

##### Declaration

    public static void PushAllowKeyboardFocus(bool allow_keyboard_focus)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | allow_keyboard_focus |

| Improve this Doc View Source

#### PushButtonRepeat(Boolean)

##### Declaration

    public static void PushButtonRepeat(bool repeat)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | repeat |

| Improve this Doc View Source

#### PushClipRect(Vector2, Vector2, Boolean)

##### Declaration

    public static void PushClipRect(Vector2 clip_rect_min, Vector2 clip_rect_max, bool intersect_with_current_clip_rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | clip_rect_min |
System.Numerics.Vector2 | clip_rect_max |
System.Boolean | intersect_with_current_clip_rect |

| Improve this Doc View Source

#### PushFont(ImFontPtr)

##### Declaration

    public static void PushFont(ImFontPtr font)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontPtr | font |

| Improve this Doc View Source

#### PushID(Int32)

##### Declaration

    public static void PushID(int int_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | int_id |

| Improve this Doc View Source

#### PushID(IntPtr)

##### Declaration

    public static void PushID(IntPtr ptr_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ptr_id |

| Improve this Doc View Source

#### PushID(String)

##### Declaration

    public static void PushID(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

| Improve this Doc View Source

#### PushItemWidth(Single)

##### Declaration

    public static void PushItemWidth(float item_width)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | item_width |

| Improve this Doc View Source

#### PushStyleColor(ImGuiCol, Vector4)

##### Declaration

    public static void PushStyleColor(ImGuiCol idx, Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiCol | idx |
System.Numerics.Vector4 | col |

| Improve this Doc View Source

#### PushStyleColor(ImGuiCol, UInt32)

##### Declaration

    public static void PushStyleColor(ImGuiCol idx, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiCol | idx |
System.UInt32 | col |

| Improve this Doc View Source

#### PushStyleVar(ImGuiStyleVar, Vector2)

##### Declaration

    public static void PushStyleVar(ImGuiStyleVar idx, Vector2 val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyleVar | idx |
System.Numerics.Vector2 | val |

| Improve this Doc View Source

#### PushStyleVar(ImGuiStyleVar, Single)

##### Declaration

    public static void PushStyleVar(ImGuiStyleVar idx, float val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyleVar | idx |
System.Single | val |

| Improve this Doc View Source

#### PushTextWrapPos()

##### Declaration

    public static void PushTextWrapPos()

| Improve this Doc View Source

#### PushTextWrapPos(Single)

##### Declaration

    public static void PushTextWrapPos(float wrap_local_pos_x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | wrap_local_pos_x |

| Improve this Doc View Source

#### RadioButton(String, Boolean)

##### Declaration

    public static bool RadioButton(string label, bool active)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | active |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### RadioButton(String, ref Int32, Int32)

##### Declaration

    public static bool RadioButton(string label, ref int v, int v_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | v_button |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Render()

##### Declaration

    public static void Render()

| Improve this Doc View Source

#### ResetMouseDragDelta()

##### Declaration

    public static void ResetMouseDragDelta()

| Improve this Doc View Source

#### ResetMouseDragDelta(Int32)

##### Declaration

    public static void ResetMouseDragDelta(int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | button |

| Improve this Doc View Source

#### SameLine()

##### Declaration

    public static void SameLine()

| Improve this Doc View Source

#### SameLine(Single)

##### Declaration

    public static void SameLine(float offset_from_start_x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | offset_from_start_x |

| Improve this Doc View Source

#### SameLine(Single, Single)

##### Declaration

    public static void SameLine(float offset_from_start_x, float spacing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | offset_from_start_x |
System.Single | spacing |

| Improve this Doc View Source

#### SaveIniSettingsToDisk(String)

##### Declaration

    public static void SaveIniSettingsToDisk(string ini_filename)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | ini_filename |

| Improve this Doc View Source

#### SaveIniSettingsToMemory()

##### Declaration

    public static string SaveIniSettingsToMemory()

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SaveIniSettingsToMemory(out UInt32)

##### Declaration

    public static string SaveIniSettingsToMemory(out uint out_ini_size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | out_ini_size |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Selectable(String)

##### Declaration

    public static bool Selectable(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Selectable(String, Boolean)

##### Declaration

    public static bool Selectable(string label, bool selected)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | selected |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Selectable(String, Boolean, ImGuiSelectableFlags)

##### Declaration

    public static bool Selectable(string label, bool selected, ImGuiSelectableFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | selected |
ImGuiSelectableFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Selectable(String, Boolean, ImGuiSelectableFlags, Vector2)

##### Declaration

    public static bool Selectable(string label, bool selected, ImGuiSelectableFlags flags, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | selected |
ImGuiSelectableFlags | flags |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Selectable(String, ref Boolean)

##### Declaration

    public static bool Selectable(string label, ref bool p_selected)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | p_selected |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Selectable(String, ref Boolean, ImGuiSelectableFlags)

##### Declaration

    public static bool Selectable(string label, ref bool p_selected, ImGuiSelectableFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | p_selected |
ImGuiSelectableFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Selectable(String, ref Boolean, ImGuiSelectableFlags, Vector2)

##### Declaration

    public static bool Selectable(string label, ref bool p_selected, ImGuiSelectableFlags flags, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Boolean | p_selected |
ImGuiSelectableFlags | flags |
System.Numerics.Vector2 | size |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Separator()

##### Declaration

    public static void Separator()

| Improve this Doc View Source

#### SetClipboardText(String)

##### Declaration

    public static void SetClipboardText(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |

| Improve this Doc View Source

#### SetColorEditOptions(ImGuiColorEditFlags)

##### Declaration

    public static void SetColorEditOptions(ImGuiColorEditFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiColorEditFlags | flags |

| Improve this Doc View Source

#### SetColumnOffset(Int32, Single)

##### Declaration

    public static void SetColumnOffset(int column_index, float offset_x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | column_index |
System.Single | offset_x |

| Improve this Doc View Source

#### SetColumnWidth(Int32, Single)

##### Declaration

    public static void SetColumnWidth(int column_index, float width)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | column_index |
System.Single | width |

| Improve this Doc View Source

#### SetCurrentContext(IntPtr)

##### Declaration

    public static void SetCurrentContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

| Improve this Doc View Source

#### SetCursorPos(Vector2)

##### Declaration

    public static void SetCursorPos(Vector2 local_pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | local_pos |

| Improve this Doc View Source

#### SetCursorPosX(Single)

##### Declaration

    public static void SetCursorPosX(float local_x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | local_x |

| Improve this Doc View Source

#### SetCursorPosY(Single)

##### Declaration

    public static void SetCursorPosY(float local_y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | local_y |

| Improve this Doc View Source

#### SetCursorScreenPos(Vector2)

##### Declaration

    public static void SetCursorScreenPos(Vector2 pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | pos |

| Improve this Doc View Source

#### SetDragDropPayload(String, IntPtr, UInt32)

##### Declaration

    public static bool SetDragDropPayload(string type, IntPtr data, uint sz)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | type |
System.IntPtr | data |
System.UInt32 | sz |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetDragDropPayload(String, IntPtr, UInt32, ImGuiCond)

##### Declaration

    public static bool SetDragDropPayload(string type, IntPtr data, uint sz, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | type |
System.IntPtr | data |
System.UInt32 | sz |
ImGuiCond | cond |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetItemAllowOverlap()

##### Declaration

    public static void SetItemAllowOverlap()

| Improve this Doc View Source

#### SetItemDefaultFocus()

##### Declaration

    public static void SetItemDefaultFocus()

| Improve this Doc View Source

#### SetKeyboardFocusHere()

##### Declaration

    public static void SetKeyboardFocusHere()

| Improve this Doc View Source

#### SetKeyboardFocusHere(Int32)

##### Declaration

    public static void SetKeyboardFocusHere(int offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | offset |

| Improve this Doc View Source

#### SetMouseCursor(ImGuiMouseCursor)

##### Declaration

    public static void SetMouseCursor(ImGuiMouseCursor type)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiMouseCursor | type |

| Improve this Doc View Source

#### SetNextItemOpen(Boolean)

##### Declaration

    public static void SetNextItemOpen(bool is_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | is_open |

| Improve this Doc View Source

#### SetNextItemOpen(Boolean, ImGuiCond)

##### Declaration

    public static void SetNextItemOpen(bool is_open, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | is_open |
ImGuiCond | cond |

| Improve this Doc View Source

#### SetNextItemWidth(Single)

##### Declaration

    public static void SetNextItemWidth(float item_width)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | item_width |

| Improve this Doc View Source

#### SetNextWindowBgAlpha(Single)

##### Declaration

    public static void SetNextWindowBgAlpha(float alpha)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | alpha |

| Improve this Doc View Source

#### SetNextWindowCollapsed(Boolean)

##### Declaration

    public static void SetNextWindowCollapsed(bool collapsed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | collapsed |

| Improve this Doc View Source

#### SetNextWindowCollapsed(Boolean, ImGuiCond)

##### Declaration

    public static void SetNextWindowCollapsed(bool collapsed, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | collapsed |
ImGuiCond | cond |

| Improve this Doc View Source

#### SetNextWindowContentSize(Vector2)

##### Declaration

    public static void SetNextWindowContentSize(Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |

| Improve this Doc View Source

#### SetNextWindowFocus()

##### Declaration

    public static void SetNextWindowFocus()

| Improve this Doc View Source

#### SetNextWindowPos(Vector2)

##### Declaration

    public static void SetNextWindowPos(Vector2 pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | pos |

| Improve this Doc View Source

#### SetNextWindowPos(Vector2, ImGuiCond)

##### Declaration

    public static void SetNextWindowPos(Vector2 pos, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | pos |
ImGuiCond | cond |

| Improve this Doc View Source

#### SetNextWindowPos(Vector2, ImGuiCond, Vector2)

##### Declaration

    public static void SetNextWindowPos(Vector2 pos, ImGuiCond cond, Vector2 pivot)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | pos |
ImGuiCond | cond |
System.Numerics.Vector2 | pivot |

| Improve this Doc View Source

#### SetNextWindowSize(Vector2)

##### Declaration

    public static void SetNextWindowSize(Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |

| Improve this Doc View Source

#### SetNextWindowSize(Vector2, ImGuiCond)

##### Declaration

    public static void SetNextWindowSize(Vector2 size, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |
ImGuiCond | cond |

| Improve this Doc View Source

#### SetNextWindowSizeConstraints(Vector2, Vector2)

##### Declaration

    public static void SetNextWindowSizeConstraints(Vector2 size_min, Vector2 size_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size_min |
System.Numerics.Vector2 | size_max |

| Improve this Doc View Source

#### SetNextWindowSizeConstraints(Vector2, Vector2, ImGuiSizeCallback)

##### Declaration

    public static void SetNextWindowSizeConstraints(Vector2 size_min, Vector2 size_max, ImGuiSizeCallback custom_callback)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size_min |
System.Numerics.Vector2 | size_max |
ImGuiSizeCallback | custom_callback |

| Improve this Doc View Source

#### SetNextWindowSizeConstraints(Vector2, Vector2, ImGuiSizeCallback, IntPtr)

##### Declaration

    public static void SetNextWindowSizeConstraints(Vector2 size_min, Vector2 size_max, ImGuiSizeCallback custom_callback, IntPtr custom_callback_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size_min |
System.Numerics.Vector2 | size_max |
ImGuiSizeCallback | custom_callback |
System.IntPtr | custom_callback_data |

| Improve this Doc View Source

#### SetScrollFromPosX(Single)

##### Declaration

    public static void SetScrollFromPosX(float local_x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | local_x |

| Improve this Doc View Source

#### SetScrollFromPosX(Single, Single)

##### Declaration

    public static void SetScrollFromPosX(float local_x, float center_x_ratio)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | local_x |
System.Single | center_x_ratio |

| Improve this Doc View Source

#### SetScrollFromPosY(Single)

##### Declaration

    public static void SetScrollFromPosY(float local_y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | local_y |

| Improve this Doc View Source

#### SetScrollFromPosY(Single, Single)

##### Declaration

    public static void SetScrollFromPosY(float local_y, float center_y_ratio)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | local_y |
System.Single | center_y_ratio |

| Improve this Doc View Source

#### SetScrollHereX()

##### Declaration

    public static void SetScrollHereX()

| Improve this Doc View Source

#### SetScrollHereX(Single)

##### Declaration

    public static void SetScrollHereX(float center_x_ratio)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | center_x_ratio |

| Improve this Doc View Source

#### SetScrollHereY()

##### Declaration

    public static void SetScrollHereY()

| Improve this Doc View Source

#### SetScrollHereY(Single)

##### Declaration

    public static void SetScrollHereY(float center_y_ratio)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | center_y_ratio |

| Improve this Doc View Source

#### SetScrollX(Single)

##### Declaration

    public static void SetScrollX(float scroll_x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | scroll_x |

| Improve this Doc View Source

#### SetScrollY(Single)

##### Declaration

    public static void SetScrollY(float scroll_y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | scroll_y |

| Improve this Doc View Source

#### SetStateStorage(ImGuiStoragePtr)

##### Declaration

    public static void SetStateStorage(ImGuiStoragePtr storage)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStoragePtr | storage |

| Improve this Doc View Source

#### SetTabItemClosed(String)

##### Declaration

    public static void SetTabItemClosed(string tab_or_docked_window_label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | tab_or_docked_window_label |

| Improve this Doc View Source

#### SetTooltip(String)

##### Declaration

    public static void SetTooltip(string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fmt |

| Improve this Doc View Source

#### SetWindowCollapsed(Boolean)

##### Declaration

    public static void SetWindowCollapsed(bool collapsed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | collapsed |

| Improve this Doc View Source

#### SetWindowCollapsed(Boolean, ImGuiCond)

##### Declaration

    public static void SetWindowCollapsed(bool collapsed, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | collapsed |
ImGuiCond | cond |

| Improve this Doc View Source

#### SetWindowCollapsed(String, Boolean)

##### Declaration

    public static void SetWindowCollapsed(string name, bool collapsed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Boolean | collapsed |

| Improve this Doc View Source

#### SetWindowCollapsed(String, Boolean, ImGuiCond)

##### Declaration

    public static void SetWindowCollapsed(string name, bool collapsed, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Boolean | collapsed |
ImGuiCond | cond |

| Improve this Doc View Source

#### SetWindowFocus()

##### Declaration

    public static void SetWindowFocus()

| Improve this Doc View Source

#### SetWindowFocus(String)

##### Declaration

    public static void SetWindowFocus(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |

| Improve this Doc View Source

#### SetWindowFontScale(Single)

##### Declaration

    public static void SetWindowFontScale(float scale)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | scale |

| Improve this Doc View Source

#### SetWindowPos(Vector2)

##### Declaration

    public static void SetWindowPos(Vector2 pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | pos |

| Improve this Doc View Source

#### SetWindowPos(Vector2, ImGuiCond)

##### Declaration

    public static void SetWindowPos(Vector2 pos, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | pos |
ImGuiCond | cond |

| Improve this Doc View Source

#### SetWindowPos(String, Vector2)

##### Declaration

    public static void SetWindowPos(string name, Vector2 pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Numerics.Vector2 | pos |

| Improve this Doc View Source

#### SetWindowPos(String, Vector2, ImGuiCond)

##### Declaration

    public static void SetWindowPos(string name, Vector2 pos, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Numerics.Vector2 | pos |
ImGuiCond | cond |

| Improve this Doc View Source

#### SetWindowSize(Vector2)

##### Declaration

    public static void SetWindowSize(Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |

| Improve this Doc View Source

#### SetWindowSize(Vector2, ImGuiCond)

##### Declaration

    public static void SetWindowSize(Vector2 size, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | size |
ImGuiCond | cond |

| Improve this Doc View Source

#### SetWindowSize(String, Vector2)

##### Declaration

    public static void SetWindowSize(string name, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Numerics.Vector2 | size |

| Improve this Doc View Source

#### SetWindowSize(String, Vector2, ImGuiCond)

##### Declaration

    public static void SetWindowSize(string name, Vector2 size, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Numerics.Vector2 | size |
ImGuiCond | cond |

| Improve this Doc View Source

#### ShowAboutWindow()

##### Declaration

    public static void ShowAboutWindow()

| Improve this Doc View Source

#### ShowAboutWindow(ref Boolean)

##### Declaration

    public static void ShowAboutWindow(ref bool p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | p_open |

| Improve this Doc View Source

#### ShowDemoWindow()

##### Declaration

    public static void ShowDemoWindow()

| Improve this Doc View Source

#### ShowDemoWindow(ref Boolean)

##### Declaration

    public static void ShowDemoWindow(ref bool p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | p_open |

| Improve this Doc View Source

#### ShowFontSelector(String)

##### Declaration

    public static void ShowFontSelector(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

| Improve this Doc View Source

#### ShowMetricsWindow()

##### Declaration

    public static void ShowMetricsWindow()

| Improve this Doc View Source

#### ShowMetricsWindow(ref Boolean)

##### Declaration

    public static void ShowMetricsWindow(ref bool p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | p_open |

| Improve this Doc View Source

#### ShowStyleEditor()

##### Declaration

    public static void ShowStyleEditor()

| Improve this Doc View Source

#### ShowStyleEditor(ImGuiStylePtr)

##### Declaration

    public static void ShowStyleEditor(ImGuiStylePtr ref)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStylePtr | ref |

| Improve this Doc View Source

#### ShowStyleSelector(String)

##### Declaration

    public static bool ShowStyleSelector(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ShowUserGuide()

##### Declaration

    public static void ShowUserGuide()

| Improve this Doc View Source

#### SliderAngle(String, ref Single)

##### Declaration

    public static bool SliderAngle(string label, ref float v_rad)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v_rad |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderAngle(String, ref Single, Single)

##### Declaration

    public static bool SliderAngle(string label, ref float v_rad, float v_degrees_min)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v_rad |
System.Single | v_degrees_min |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderAngle(String, ref Single, Single, Single)

##### Declaration

    public static bool SliderAngle(string label, ref float v_rad, float v_degrees_min, float v_degrees_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v_rad |
System.Single | v_degrees_min |
System.Single | v_degrees_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderAngle(String, ref Single, Single, Single, String)

##### Declaration

    public static bool SliderAngle(string label, ref float v_rad, float v_degrees_min, float v_degrees_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v_rad |
System.Single | v_degrees_min |
System.Single | v_degrees_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat(String, ref Single, Single, Single)

##### Declaration

    public static bool SliderFloat(string label, ref float v, float v_min, float v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | v_min |
System.Single | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat(String, ref Single, Single, Single, String)

##### Declaration

    public static bool SliderFloat(string label, ref float v, float v_min, float v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | v_min |
System.Single | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat(String, ref Single, Single, Single, String, Single)

##### Declaration

    public static bool SliderFloat(string label, ref float v, float v_min, float v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Single | v |
System.Single | v_min |
System.Single | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat2(String, ref Vector2, Single, Single)

##### Declaration

    public static bool SliderFloat2(string label, ref Vector2 v, float v_min, float v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |
System.Single | v_min |
System.Single | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat2(String, ref Vector2, Single, Single, String)

##### Declaration

    public static bool SliderFloat2(string label, ref Vector2 v, float v_min, float v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |
System.Single | v_min |
System.Single | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat2(String, ref Vector2, Single, Single, String, Single)

##### Declaration

    public static bool SliderFloat2(string label, ref Vector2 v, float v_min, float v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | v |
System.Single | v_min |
System.Single | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat3(String, ref Vector3, Single, Single)

##### Declaration

    public static bool SliderFloat3(string label, ref Vector3 v, float v_min, float v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |
System.Single | v_min |
System.Single | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat3(String, ref Vector3, Single, Single, String)

##### Declaration

    public static bool SliderFloat3(string label, ref Vector3 v, float v_min, float v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |
System.Single | v_min |
System.Single | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat3(String, ref Vector3, Single, Single, String, Single)

##### Declaration

    public static bool SliderFloat3(string label, ref Vector3 v, float v_min, float v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector3 | v |
System.Single | v_min |
System.Single | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat4(String, ref Vector4, Single, Single)

##### Declaration

    public static bool SliderFloat4(string label, ref Vector4 v, float v_min, float v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |
System.Single | v_min |
System.Single | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat4(String, ref Vector4, Single, Single, String)

##### Declaration

    public static bool SliderFloat4(string label, ref Vector4 v, float v_min, float v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |
System.Single | v_min |
System.Single | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderFloat4(String, ref Vector4, Single, Single, String, Single)

##### Declaration

    public static bool SliderFloat4(string label, ref Vector4 v, float v_min, float v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector4 | v |
System.Single | v_min |
System.Single | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderInt(String, ref Int32, Int32, Int32)

##### Declaration

    public static bool SliderInt(string label, ref int v, int v_min, int v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | v_min |
System.Int32 | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderInt(String, ref Int32, Int32, Int32, String)

##### Declaration

    public static bool SliderInt(string label, ref int v, int v_min, int v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | v_min |
System.Int32 | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderInt2(String, ref Int32, Int32, Int32)

##### Declaration

    public static bool SliderInt2(string label, ref int v, int v_min, int v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | v_min |
System.Int32 | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderInt2(String, ref Int32, Int32, Int32, String)

##### Declaration

    public static bool SliderInt2(string label, ref int v, int v_min, int v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | v_min |
System.Int32 | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderInt3(String, ref Int32, Int32, Int32)

##### Declaration

    public static bool SliderInt3(string label, ref int v, int v_min, int v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | v_min |
System.Int32 | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderInt3(String, ref Int32, Int32, Int32, String)

##### Declaration

    public static bool SliderInt3(string label, ref int v, int v_min, int v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | v_min |
System.Int32 | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderInt4(String, ref Int32, Int32, Int32)

##### Declaration

    public static bool SliderInt4(string label, ref int v, int v_min, int v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | v_min |
System.Int32 | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderInt4(String, ref Int32, Int32, Int32, String)

##### Declaration

    public static bool SliderInt4(string label, ref int v, int v_min, int v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Int32 | v |
System.Int32 | v_min |
System.Int32 | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderScalar(String, ImGuiDataType, IntPtr, IntPtr, IntPtr)

##### Declaration

    public static bool SliderScalar(string label, ImGuiDataType data_type, IntPtr v, IntPtr v_min, IntPtr v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.IntPtr | v_min |
System.IntPtr | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderScalar(String, ImGuiDataType, IntPtr, IntPtr, IntPtr, String)

##### Declaration

    public static bool SliderScalar(string label, ImGuiDataType data_type, IntPtr v, IntPtr v_min, IntPtr v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.IntPtr | v_min |
System.IntPtr | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderScalar(String, ImGuiDataType, IntPtr, IntPtr, IntPtr, String, Single)

##### Declaration

    public static bool SliderScalar(string label, ImGuiDataType data_type, IntPtr v, IntPtr v_min, IntPtr v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.IntPtr | v_min |
System.IntPtr | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderScalarN(String, ImGuiDataType, IntPtr, Int32, IntPtr, IntPtr)

##### Declaration

    public static bool SliderScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, IntPtr v_min, IntPtr v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.IntPtr | v_min |
System.IntPtr | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderScalarN(String, ImGuiDataType, IntPtr, Int32, IntPtr, IntPtr, String)

##### Declaration

    public static bool SliderScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, IntPtr v_min, IntPtr v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.IntPtr | v_min |
System.IntPtr | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SliderScalarN(String, ImGuiDataType, IntPtr, Int32, IntPtr, IntPtr, String, Single)

##### Declaration

    public static bool SliderScalarN(string label, ImGuiDataType data_type, IntPtr v, int components, IntPtr v_min, IntPtr v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiDataType | data_type |
System.IntPtr | v |
System.Int32 | components |
System.IntPtr | v_min |
System.IntPtr | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SmallButton(String)

##### Declaration

    public static bool SmallButton(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Spacing()

##### Declaration

    public static void Spacing()

| Improve this Doc View Source

#### StyleColorsClassic()

##### Declaration

    public static void StyleColorsClassic()

| Improve this Doc View Source

#### StyleColorsClassic(ImGuiStylePtr)

##### Declaration

    public static void StyleColorsClassic(ImGuiStylePtr dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStylePtr | dst |

| Improve this Doc View Source

#### StyleColorsDark()

##### Declaration

    public static void StyleColorsDark()

| Improve this Doc View Source

#### StyleColorsDark(ImGuiStylePtr)

##### Declaration

    public static void StyleColorsDark(ImGuiStylePtr dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStylePtr | dst |

| Improve this Doc View Source

#### StyleColorsLight()

##### Declaration

    public static void StyleColorsLight()

| Improve this Doc View Source

#### StyleColorsLight(ImGuiStylePtr)

##### Declaration

    public static void StyleColorsLight(ImGuiStylePtr dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStylePtr | dst |

| Improve this Doc View Source

#### Text(String)

##### Declaration

    public static void Text(string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fmt |

| Improve this Doc View Source

#### TextColored(Vector4, String)

##### Declaration

    public static void TextColored(Vector4 col, string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |
System.String | fmt |

| Improve this Doc View Source

#### TextDisabled(String)

##### Declaration

    public static void TextDisabled(string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fmt |

| Improve this Doc View Source

#### TextUnformatted(String)

##### Declaration

    public static void TextUnformatted(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |

| Improve this Doc View Source

#### TextWrapped(String)

##### Declaration

    public static void TextWrapped(string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fmt |

| Improve this Doc View Source

#### TreeNode(IntPtr, String)

##### Declaration

    public static bool TreeNode(IntPtr ptr_id, string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ptr_id |
System.String | fmt |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### TreeNode(String)

##### Declaration

    public static bool TreeNode(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### TreeNode(String, String)

##### Declaration

    public static bool TreeNode(string str_id, string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
System.String | fmt |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### TreeNodeEx(IntPtr, ImGuiTreeNodeFlags, String)

##### Declaration

    public static bool TreeNodeEx(IntPtr ptr_id, ImGuiTreeNodeFlags flags, string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ptr_id |
ImGuiTreeNodeFlags | flags |
System.String | fmt |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### TreeNodeEx(String)

##### Declaration

    public static bool TreeNodeEx(string label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### TreeNodeEx(String, ImGuiTreeNodeFlags)

##### Declaration

    public static bool TreeNodeEx(string label, ImGuiTreeNodeFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
ImGuiTreeNodeFlags | flags |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### TreeNodeEx(String, ImGuiTreeNodeFlags, String)

##### Declaration

    public static bool TreeNodeEx(string str_id, ImGuiTreeNodeFlags flags, string fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |
ImGuiTreeNodeFlags | flags |
System.String | fmt |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### TreePop()

##### Declaration

    public static void TreePop()

| Improve this Doc View Source

#### TreePush()

##### Declaration

    public static void TreePush()

| Improve this Doc View Source

#### TreePush(IntPtr)

##### Declaration

    public static void TreePush(IntPtr ptr_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ptr_id |

| Improve this Doc View Source

#### TreePush(String)

##### Declaration

    public static void TreePush(string str_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str_id |

| Improve this Doc View Source

#### Unindent()

##### Declaration

    public static void Unindent()

| Improve this Doc View Source

#### Unindent(Single)

##### Declaration

    public static void Unindent(float indent_w)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | indent_w |

| Improve this Doc View Source

#### Value(String, Boolean)

##### Declaration

    public static void Value(string prefix, bool b)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | prefix |
System.Boolean | b |

| Improve this Doc View Source

#### Value(String, Int32)

##### Declaration

    public static void Value(string prefix, int v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | prefix |
System.Int32 | v |

| Improve this Doc View Source

#### Value(String, Single)

##### Declaration

    public static void Value(string prefix, float v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | prefix |
System.Single | v |

| Improve this Doc View Source

#### Value(String, Single, String)

##### Declaration

    public static void Value(string prefix, float v, string float_format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | prefix |
System.Single | v |
System.String | float_format |

| Improve this Doc View Source

#### Value(String, UInt32)

##### Declaration

    public static void Value(string prefix, uint v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | prefix |
System.UInt32 | v |

| Improve this Doc View Source

#### VSliderFloat(String, Vector2, ref Single, Single, Single)

##### Declaration

    public static bool VSliderFloat(string label, Vector2 size, ref float v, float v_min, float v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | size |
System.Single | v |
System.Single | v_min |
System.Single | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### VSliderFloat(String, Vector2, ref Single, Single, Single, String)

##### Declaration

    public static bool VSliderFloat(string label, Vector2 size, ref float v, float v_min, float v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | size |
System.Single | v |
System.Single | v_min |
System.Single | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### VSliderFloat(String, Vector2, ref Single, Single, Single, String, Single)

##### Declaration

    public static bool VSliderFloat(string label, Vector2 size, ref float v, float v_min, float v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | size |
System.Single | v |
System.Single | v_min |
System.Single | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### VSliderInt(String, Vector2, ref Int32, Int32, Int32)

##### Declaration

    public static bool VSliderInt(string label, Vector2 size, ref int v, int v_min, int v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | size |
System.Int32 | v |
System.Int32 | v_min |
System.Int32 | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### VSliderInt(String, Vector2, ref Int32, Int32, Int32, String)

##### Declaration

    public static bool VSliderInt(string label, Vector2 size, ref int v, int v_min, int v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | size |
System.Int32 | v |
System.Int32 | v_min |
System.Int32 | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### VSliderScalar(String, Vector2, ImGuiDataType, IntPtr, IntPtr, IntPtr)

##### Declaration

    public static bool VSliderScalar(string label, Vector2 size, ImGuiDataType data_type, IntPtr v, IntPtr v_min, IntPtr v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | size |
ImGuiDataType | data_type |
System.IntPtr | v |
System.IntPtr | v_min |
System.IntPtr | v_max |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### VSliderScalar(String, Vector2, ImGuiDataType, IntPtr, IntPtr, IntPtr, String)

##### Declaration

    public static bool VSliderScalar(string label, Vector2 size, ImGuiDataType data_type, IntPtr v, IntPtr v_min, IntPtr v_max, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | size |
ImGuiDataType | data_type |
System.IntPtr | v |
System.IntPtr | v_min |
System.IntPtr | v_max |
System.String | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### VSliderScalar(String, Vector2, ImGuiDataType, IntPtr, IntPtr, IntPtr, String, Single)

##### Declaration

    public static bool VSliderScalar(string label, Vector2 size, ImGuiDataType data_type, IntPtr v, IntPtr v_min, IntPtr v_max, string format, float power)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Numerics.Vector2 | size |
ImGuiDataType | data_type |
System.IntPtr | v |
System.IntPtr | v_min |
System.IntPtr | v_max |
System.String | format |
System.Single | power |

##### Returns

Type | Description
--- | ---
System.Boolean |